org.eclipse.cdt.utils.debug.stabs

## Class TypeNumber

- java.lang.Object
- - org.eclipse.cdt.utils.debug.stabs.TypeNumber

    public class TypeNumber
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TypeNumber(int f, int t)`
`TypeNumber(Reader reader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `getFileNo()`
`int` `getTypeNo()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeNumber

    public TypeNumber(int f,
                      int t)

#### TypeNumber

    public TypeNumber(Reader reader)

### Method Detail

#### getTypeNo

    public int getTypeNo()

#### getFileNo

    public int getFileNo()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`